Package: org.codehaus.groovy.grails.compiler

## [Java] Class GrailsProjectWatcher

- org.codehaus.groovy.grails.compiler.GrailsProjectWatcher

- Watches a Grails project and re-compiles sources when they change or fires events to the pluginManager.

  deprecated:
    Use GrailsProjectWatcher instead
  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsProjectWatcher` | `SPRING_LOADED_PLUGIN_CLASS`
    `class DirectoryWatcher` | `SVN_DIR_NAME`
    `class java.lang.Thread` | `MIN_PRIORITY, NORM_PRIORITY, MAX_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProjectWatcher (GrailsProjectCompiler compiler, GrailsPluginManager pluginManager)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsProjectWatcher` | `fileIsReloadable, firePendingClassChangeEvents, isActive, isReloadingAgentPresent, run, setPluginManager, setReloadExcludes, setReloadIncludes`
    `class DirectoryWatcher` | `addListener, addWatchDirectory, addWatchDirectory, addWatchDirectory, addWatchFile, run, setActive, setSleepTime`
    `class java.lang.Thread` | `java.lang.Thread#run(), java.lang.Thread#toString(), java.lang.Thread#isInterrupted(), java.lang.Thread#currentThread(), java.lang.Thread#getName(), java.lang.Thread#getThreadGroup(), java.lang.Thread#getStackTrace(), java.lang.Thread#holdsLock(java.lang.Object), java.lang.Thread#dumpStack(), java.lang.Thread#setPriority(int), java.lang.Thread#setDaemon(boolean), java.lang.Thread#start(), java.lang.Thread#yield(), java.lang.Thread#sleep(long, int), java.lang.Thread#sleep(long), java.lang.Thread#stop(), java.lang.Thread#stop(java.lang.Throwable), java.lang.Thread#interrupt(), java.lang.Thread#interrupted(), java.lang.Thread#destroy(), java.lang.Thread#isAlive(), java.lang.Thread#suspend(), java.lang.Thread#resume(), java.lang.Thread#getPriority(), java.lang.Thread#setName(java.lang.String), java.lang.Thread#activeCount(), java.lang.Thread#enumerate([Ljava.lang.Thread;), java.lang.Thread#countStackFrames(), java.lang.Thread#join(), java.lang.Thread#join(long), java.lang.Thread#join(long, int), java.lang.Thread#isDaemon(), java.lang.Thread#checkAccess(), java.lang.Thread#getContextClassLoader(), java.lang.Thread#setContextClassLoader(java.lang.ClassLoader), java.lang.Thread#getAllStackTraces(), java.lang.Thread#getId(), java.lang.Thread#getState(), java.lang.Thread#setDefaultUncaughtExceptionHandler(java.lang.Thread$UncaughtExceptionHandler), java.lang.Thread#getDefaultUncaughtExceptionHandler(), java.lang.Thread#getUncaughtExceptionHandler(), java.lang.Thread#setUncaughtExceptionHandler(java.lang.Thread$UncaughtExceptionHandler), java.lang.Thread#wait(long, int), java.lang.Thread#wait(long), java.lang.Thread#wait(), java.lang.Thread#equals(java.lang.Object), java.lang.Thread#hashCode(), java.lang.Thread#getClass(), java.lang.Thread#notify(), java.lang.Thread#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsProjectWatcher(GrailsProjectCompiler compiler, GrailsPluginManager pluginManager)